Create uom-values
curl --request POST \
--url https://wisepim.com/api/public/v1/uom-values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"name": "<string>",
"symbol": "<string>",
"code_set": 123
}
'import requests
url = "https://wisepim.com/api/public/v1/uom-values"
payload = {
"code": "<string>",
"name": "<string>",
"symbol": "<string>",
"code_set": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>', name: '<string>', symbol: '<string>', code_set: 123})
};
fetch('https://wisepim.com/api/public/v1/uom-values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": "<string>",
"name": "<string>",
"symbol": "<string>",
"localized_names": "<unknown>",
"localized_symbols": "<unknown>",
"conversion_factor": "<string>",
"is_base_unit": true,
"sort_order": 123,
"code_set": 123,
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Create uom-values
POST /uom-values. Required scopes: uom-values:write.
POST
/
api
/
public
/
v1
/
uom-values
Create uom-values
curl --request POST \
--url https://wisepim.com/api/public/v1/uom-values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"name": "<string>",
"symbol": "<string>",
"code_set": 123
}
'import requests
url = "https://wisepim.com/api/public/v1/uom-values"
payload = {
"code": "<string>",
"name": "<string>",
"symbol": "<string>",
"code_set": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>', name: '<string>', symbol: '<string>', code_set: 123})
};
fetch('https://wisepim.com/api/public/v1/uom-values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": "<string>",
"name": "<string>",
"symbol": "<string>",
"localized_names": "<unknown>",
"localized_symbols": "<unknown>",
"conversion_factor": "<string>",
"is_base_unit": true,
"sort_order": 123,
"code_set": 123,
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Headers
Body
application/json
Response
Created

